# $Revision: 1.15 $, $Date: 2002/09/29 09:19:17 $
Summary:	POP3 server
Summary(pl):	Serwer POP3
Name:		tpop3d
Version:	1.4.2
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.ex-parrot.com/~chris/tpop3d/%{name}-%{version}.tar.gz
Source1:	%{name}.pamd
Source2:	%{name}.init
Patch0:		%{name}-ac_am_fixes.patch
Patch1:		%{name}-whoson.patch
Patch2:		http://www.ex-parrot.com/~chris/tpop3d/%{name}-1.4.2-auth-flatfile-broken.patch
URL:		http://www.ex-parrot.com/~chris/tpop3d/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel
BuildRequires:	pam-devel
BuildRequires:	perl-devel
BuildRequires:	whoson-devel
Prereq:		/sbin/chkconfig
Provides:	pop3daemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pop3daemon
Obsoletes:	courier-imap-pop3
Obsoletes:	imap-pop
Obsoletes:	imap-pop3
Obsoletes:	qpopper
Obsoletes:	qpopper6
Obsoletes:	solid-pop3d
Obsoletes:	solid-pop3d-ssl

%define		_sysconfdir	/etc

%description
tpop3d is yet-another-pop3-server. The intention has been to write a
server which is fast, extensible, and secure. `Extensible' is used
specifically in the context of new authentication mechanisms and
mailbox formats. Presently the distribution supports the following
authentication mechanisms:
- auth_pam - uses Pluggable Authentication Modules
- auth_passwd - /etc/passwd (and optionally /etc/shadow)
- auth_mysql - a vmail-sql style MySQL database; see
  http://www.ex-parrot.com/~chris/vmail-sql/
- auth_other - an external program
- auth_perl - embedded perl subroutines

The latter three options provide virtual domain support; the first two
are designed to authenticate local (Unix) users.

The following mailbox formats are supported:
- bsd - for BSD (`Unix') mailspools
- maildir - Qmail-style maildirs
- empty - null driver

tpop3d implements an optional metadata caching scheme for BSD
mailspools, which offers improved performance in cases where many
users leave large numbers of messages on the server between sessions.

%description -l pl
tpop3d to jeszcze-jeden-serwer-pop3. Intencj byo napisanie serwera,
ktry jest szybki, rozszerzalny i bezpieczny. `Rozszerzalny' jest tu
uyte w kontekcie formatw skrzynek. Obecnie pakiet dystrybucyjny
wspiera nastpujce mechanizmy autentykacji:

- auth_pam - uywa Wymiennych Moduw Autentykacji (PAM)
- auth_passwd - /etc/passwd (i opcjonalnie /etc/shadow)
- auth_mysql - baza MySQL w stylu vmail-sql ; obejrzyj
  http://www.ex-parrot.com/~chris/vmail-sql/
- auth_other - zewntrzny program
- auth_perl - zakorzenione podprogramy Perla

Ostatnie trzy opcje pozwalaj wspiera wirtualne domeny; pierwsze dwie
za s stworzone by autentykowa lokalnych (Unixowych) uytkownikw.

Wspierane s nastpujce formaty skrzynek:
- bsd - dla kolejkowych skrzynek w stylu BSD (`Unix')
- maildir - format maildir znany z Qmail
- empty - pusty sterownik

tpop3d implementuje opcjonalne zapamitywanie (caching) meta-danych
dla skrzynek BSD, ktre znacznie poprawia wydajno w przypadku, gdy
wielu uytkownikw zostawia du liczb wiadomoci na serwerze
pomidzy sesjami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
aclocal
%{__autoconf}
autoheader
%{__automake}
%configure \
	--with-mailspool-directory=/var/mail \
	--enable-shadow-passwords \
	--enable-auth-pam \
	--enable-auth-ldap \
	--enable-auth-mysql \
	--enable-auth-perl \
	--enable-auth-other \
	--enable-mbox-maildir \
	--enable-whoson

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,security,rc.d/init.d}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/tpop3d
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/tpop3d

touch $RPM_BUILD_ROOT/etc/security/blacklist.pop3

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart >&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop >&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README README.auth_mysql TPOP3D-AuthDriver scripts
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/tpop3d
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.pop3
%attr(754,root,root) /etc/rc.d/init.d/tpop3d
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tpop3d.spec,v $
Revision 1.15  2002/09/29 09:19:17  misiek
- fix flat auth

Revision 1.14  2002/06/28 13:53:03  misiek
- updated to 1.4.2 + added whoson support

Revision 1.13  2002/06/09 13:59:49  qboosh
- Obsoletes: imap-pop3, courier-imap-pop (tpop3d supports both mbox and maildir)
- new %%doc
- release 2

Revision 1.12  2002/05/21 23:14:51  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/05/17 06:16:08  kloczek
- cosmetics.

Revision 1.10  2002/05/16 18:59:40  misiek
- updated to 1.4.1 and enabled openldap

Revision 1.9  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/07 21:12:46  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.4  2001/12/02 00:13:01  kloczek
- changed Requires rule to Prereq for rc-scripts.

Revision 1.3  2001/11/30 04:08:45  siefca
- version 1.3.5
- modified patch (removed configure stuff)
- added --enable-shadow-passwords to configure invocation
- added polish translation of the package description
- added spec's post and preun sections with chkconfig and autorestart features
- fixed initscript

Revision 1.2  2001/08/01 17:20:34  kloczek
- added rc-scripts to Requires,
- added ac_am_fixes patch and regenerate ac/am files (now tpop3d is ac
  2.5x ready and removed linking with libnsl),
- added loger %description (borowed from README),
- added URL.

Revision 1.1  2001/08/01 12:12:34  waszi
- added
